Changes between Version 126 and Version 127 of BuildingWinPidgin


Ignore:
Timestamp:
07/20/12 19:45:10 (7 years ago)
Author:
renatosilva
Comment:

GCC 4.4.0 already specified as requirement above. The -mno-cygwin flag is indeed needed, see http://pidgin.im/pipermail/support/2011-December/011159.html.

Legend:

Unmodified
Added
Removed
Modified
  • BuildingWinPidgin

    v126 v127  
    137137== Build Pidgin ==
    138138
    139   First, make absolutely sure you have the GCC installer version 4.4.0 installed -- newer versions will cause the long build process to fail. You can do this by typing
    140 {{{
    141 gcc --version
    142 }}}
    143 
    144   Second, you'll have to edit the (current) Pidgin makefile, because there's a silly flag buried in it that WILL cause your makefile to break. In your Pidgin folder (e.g. /pidgin-devel/pidgin-xxxx/libpurple/win32/global.mak), remove the "-mno-cygwin" flag, leaving your build file like  this:
    145 {{{
    146 CFLAGS += -O2 -Wall $(GCCWARNINGS) -pipe -mms-bitfields -g
    147 }}}
    148   If you don't remove that silly flag, you'll get build errors about halfway through. (It looks like the flag was deprecated about 5-10 years ago anyway.)
    149 
    150 
    151139  Run the following:
    152140{{{
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!